<?php

$Permissoes = User::getUser(true);

if ($Permissoes->FUN_TBL_SOLICITACOES == 1 or $Permissoes->FUN_TBL_RELATORIO_PENDENCIAS == 1) {

    class EspecificacaoFuncionalPosTestesController extends GxController {

        var $help = 'Esta é a ajuda';

        public function actionView($id) {
            $this->render('view', array(
                'model' => $this->loadModel($id, 'EspecificacaoFuncionalPosTestes'),
            ));
        }

        public function actionCreate() {
            $model = new EspecificacaoFuncionalPosTestes;


            if (isset($_POST['EspecificacaoFuncionalPosTestes'])) {
                $model->setAttributes($_POST['EspecificacaoFuncionalPosTestes']);

                if ($model->save()) {
                    if (Yii::app()->getRequest()->getIsAjaxRequest())
                        Yii::app()->end();
                    else
                        $this->redirect(array('view', 'id' => $model->EFP_CODIGO));
                }
            }

            $this->render('create', array('model' => $model));
        }

        public function actionUpdate($id) {
            $model = $this->loadModel($id, 'EspecificacaoFuncionalPosTestes');


            if (isset($_POST['EspecificacaoFuncionalPosTestes'])) {
                $model->setAttributes($_POST['EspecificacaoFuncionalPosTestes']);

                if ($model->save()) {
                    $this->redirect(array('view', 'id' => $model->EFP_CODIGO));
                }
            }

            $this->render('update', array(
                'model' => $model,
            ));
        }

        public function actionDelete($id) {
            if (Yii::app()->getRequest()->getIsPostRequest()) {
                $this->loadModel($id, 'EspecificacaoFuncionalPosTestes')->delete();

                if (!Yii::app()->getRequest()->getIsAjaxRequest())
                    $this->redirect(array('admin'));
            } else
                throw new CHttpException(400, 'Sua solicitação é inválida.');
        }

        public function actionAdmin() {
            $model = new EspecificacaoFuncionalPosTestes('search');
            $model->unsetAttributes();

            if (isset($_GET['EspecificacaoFuncionalPosTestes']))
                $model->setAttributes($_GET['EspecificacaoFuncionalPosTestes']);

            $this->render('admin', array(
                'model' => $model,
            ));
        }

        public function actionForm() {
            $this->layout = 'NULL';
            $PosTeste = new EspecificacaoFuncionalPosTestes();
            $this->render('form', array('PosTeste' => $PosTeste));
        }

    }

}